org.eclipse.net4j.util.io

## Interface ExtendedDataOutput

- All Superinterfaces:
    java.io.DataOutput
  All Known Implementing Classes:
    DataOutputExtender, ExtendedDataOutput.Delegating, ExtendedDataOutputStream

      public interface ExtendedDataOutput
      extends java.io.DataOutput

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ExtendedDataOutput.Delegating`
    `static class` | `ExtendedDataOutput.Stream`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeByteArray(byte[] b)`
    `void` | `writeEnum(java.lang.Enum<?> literal)`
    `void` | `writeException(java.lang.Throwable t)`
    `void` | `writeObject(java.lang.Object object)`
    `void` | `writeString(java.lang.String str)`
    `void` | `writeVarInt(int v)`
    `void` | `writeVarLong(long v)`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

- - ### Method Detail

    - #### writeVarInt

          void writeVarInt(int v)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeVarLong

          void writeVarLong(long v)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeByteArray

          void writeByteArray(byte[] b)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeObject

          void writeObject(java.lang.Object object)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeString

          void writeString(java.lang.String str)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeEnum

          void writeEnum(java.lang.Enum<?> literal)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### writeException

          void writeException(java.lang.Throwable t)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.4

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html